close all
clear all
% Mtodo Euler
dx = 0.001;
x = [0.0:dx:2.0];
y = zeros(size(x));
y(1) = -1.5;
for i = 1:(length(x)-1)
y(i+1) = y(i) + dx *(y(i)+3*x(i).^3 + sin(3*x(i)));   % y - y = 3x + sin 3x
end
C=16.8; % constante obtido da solucao analitica com C.I.
exact = C*exp(x) -3*x.^3-9*x.^2-18*x-18-1/10*sin(3*x)-3/10*cos(3*x);

% calculo do erro
erro=exact-y;
   
% backward difference
y3 = zeros(size(x));
y3(1) = -1.5;
for i = 1:(length(x)-1)
y3(i+1) = (dx*(3*x(i+1).^3 + sin(3*x(i+1)))+y3(i))/(1-dx);
end

%calculo do erro
erro3=exact-y3;
subplot(2,1,1)
plot(x,y,x,exact,'--', x,y3)
legend ('forward', 'analitico', 'backward')
axis equal
subplot(2,1,2)
plot(x, erro, x, erro3)
legend ('erro=analitico-forward', 'erro3=analitico-backward-difference')
axis equal