close all
clear all

dt=10;
v=100;
q=5; ci=50;

t=[0:dt:50];
y1=zeros(size(t));
y1(1)=10;
for i=1:(length(t)-1)
    y1(i+1) = y1(i) + dt*((q*ci-q*y1(i))/v);
end

dt2=5;
t2=[0:dt2:50];
y2=zeros(size(t2));
y2(1)=10;
for i=1:(length(t2)-1)
    y2(i+1) = y2(i) + dt2*((q*ci-q*y2(i))/v);
end

for i=1:length(t)
    exact(i) = 50.*(1-exp(-0.05.*t(i)))+10.*exp(-0.05.*t(i));
end
plot(t,y1,t2,y2,t,exact,'r')
legend('euler 10','euler 5', 'exact')
