close all
clear all
%Ffun = @(X,Y)X.*Y;               % function f(x,y)=xy
%Ffun = @(X,Y)cos(X);               % function f(x,y)=cos(x)
%Ffun = @(X,Y)exp(X);               % function f(x,y)=exp(x)
%Ffun = @(X,Y)0.1*(1-X.^2)-X./Y;     % function f(x,y)=0.1(1-x^2)-x/y
Ffun = @(X,Y)Y + 3*X.^3 + sin(3*X);     % function f(x,y)= y - y = 3x + sin 3x
%Ffun = @(X,Y)(Y-1).*(Y-2);     % function f(x,y)=(y-1)(y-2)
%Ffun = @(X,Y)X.^2;     % function f(x,y)=x^2
[X,Y]=meshgrid(-2:.3:6,-2:.3:6); % choose the plot sizes
DY=Ffun(X,Y); DX=ones(size(DY)); % generate the plot values 
quiver(X,Y,DX,DY);               % plot the direction field
hold on;
%contour(X,Y,DY,[-6 -2 -1 0 1 2 6]); %add the isoclines
% title('Slope field and isoclines for f(x,y)=xy')
figure (2)
plot(X, 2*Y-0.5*Y.^2, 'o')
axis([-1 4 0 4])