close all
clear all

%lotka
global a b c d
a = 1.2; b=0.6; c=0.8; d=0.3;
[t,y] = ode45('lotka', [0 30],[2;1]);
figure(1)
plot(t,y);

figure(2)
plot(y(:,1),y(:,2),'-o')
hold on
[t,y] = ode45('lotka',[0 30], [c/d;a/b]);
plot(y(:,1),y(:,2),'*r')
text(2.8,2,'ponto critico')

%lorenz
global sigma b1 r
sigma=10; b1=2.666667; r=28;
[t,y1]=ode45('lorenz',[0 20],[5;5;5]);
figure(3)
plot(t,y1(:,1),'r')
hold on
[t,y1]=ode45('lorenz',[0 20],[5.001;5;5]);
plot(t,y1(:,1),'b:')
figure(4)
plot(y1(:,1),y1(:,2))
figure(5)
plot(y1(:,1),y1(:,3))