clear all
close all

funcao = @(x,y) [y(2); -2*y(2)-2*y(1)+5*(x.^3+1)*exp(x)]; % definicao funcao  y =- 2y - 2y + 5(x3+1)ex, y(0) = 0, y(0) = 0
tspan=[0 5]; % intervalo
y0=[0;0]; % cond. iniciais
figure(1)
ode23(funcao,tspan,y0)  %solucao numerica
[x,y] = ode23(funcao,tspan,y0);

resultado=y(:,1);
hold on
resultadoexact=(19/125*cos(x)-292/125*sin(x)).*exp(-x)+ (x.^3-12/5*x.^2+66/25*x-19/125).*exp(x);
plot(x, resultadoexact, 'x')
legend ('funcao', 'derivada', 'exato')
figure(2)
subplot(3,1,1)
plot(x,resultado,x,resultadoexact,'--')
legend ('ode23', 'analitico')
subplot(3,1,2)
plot(x, resultado-resultadoexact)
legend ('numerico menos analitico')
subplot(3,1,3)
plot(x, (resultado-resultadoexact)/resultadoexact)
legend ('(numerico menos analitico)/analitico')
