clear all
close all

funcao = @(t,y) [y(2); y(3); -2*y(3)+y(2)-3] % definicao funcao
tspan=[0 3]; % intervalo
y0=[1;1; 0]; % cond. iniciais
ode23(funcao,tspan,y0)  %solucao numerica
figure(1)
[t,y] = ode23(funcao,tspan,y0);
hold on
resultado=y(:,1);

A=[0 1 0; 0 0 1; 0 1 -2]
[x ye] = eig(A)
c=x\[1; -2; 0];  % condicoes iniciais

exact= c(1)*exp(ye(1,1)*t)*x(1,1)+c(2)*exp(ye(2,2)*t)*x(1,2)+c(3)*exp(ye(3,3)*t)*x(1,3)+3*t;
plot(t,resultado,'x')
legend ('funcao', 'derivada', 'exato')
figure(2)
subplot(2,1,1)
plot(t,resultado, t, exact, 'x')
legend ('numerical', 'exact')
subplot(2,1,2)
plot(t,resultado-exact)


